Page 3 of 5 FirstFirst 12345 LastLast
Results 31 to 45 of 62

Thread: [Announce] New EntWare package repository for 1.9.2.7-rtn firmware

  1. #31
    just start with a new /opt (of course every application/service you have running on /opt needs to be stopped)

    you may keep your init.d scripts, because they are actually not available via opkg

    List of packages:
    http://code.google.com/p/wl500g-repo...enwrt/Packages

    Quick tutorial:

    http://code.google.com/p/wl500g-repo/wiki/Using
    RT-N66U TomatoUSB 1.28.0000 MIPSR2-135 K26AC USB AIO-64K running Entware-NG
    pyload 0.4.9
    minidlna 1.1.2
    samba 3.6.5
    openvpn 2.3.10
    ̶W̶L̶5̶0̶0̶g̶P̶ ̶1̶.̶9̶.̶2̶.̶7̶-̶r̶t̶n̶-̶r̶4̶7̶5̶0 retired

  2. #32
    Thanks!

    At the moment, I still have another problem (http://wl500g.info/showthread.php?p=245759#post245759) but will return to this, when finished...

    Thank you,
    pheidrias

  3. #33
    I know this is off-topic here, but i couldn't find a better place for this.
    I don't have an asus router, but I'm trying to install pyload on my Buffalo wich has a MIPS processor like the wl500g.
    My problem is that i can't find the dependencies compiled for mips! Could please anyone upload the need packages?
    thanks in advance

  4. #34
    Warning! You can't update your packages if you used f OpenWRT repo before 22/03/12.

    The main change is a new basic uClibc libs, which makes repo independent from current firmware. Now, a TomatoUSB users can use our repo too.

    Please, feel free to inform about any odds and bugs.

  5. #35
    This means I have to remove all packages via opkg remove, install desired packages again, checkout the repo-trunk at my build-machine and recompile the packages pyload and minidlna...?

    no opkg upgrade
    RT-N66U TomatoUSB 1.28.0000 MIPSR2-135 K26AC USB AIO-64K running Entware-NG
    pyload 0.4.9
    minidlna 1.1.2
    samba 3.6.5
    openvpn 2.3.10
    ̶W̶L̶5̶0̶0̶g̶P̶ ̶1̶.̶9̶.̶2̶.̶7̶-̶r̶t̶n̶-̶r̶4̶7̶5̶0 retired

  6. #36
    Quote Originally Posted by !gm View Post
    This means I have to remove all packages via opkg remove, install desired packages again,...
    No. Package architecture name has changed, so you can't install new packages with old opkg.
    • Save your configuration files from /opt folder and clean it,
    • follow installation manual to (surprise!!^) package installation,
    • restore your configuration files.

    Quote Originally Posted by !gm View Post
    checkout the repo-trunk at my build-machine and recompile the packages pyload and minidlna...?
    pyload and minidlna is in the OpenWRT repo. Feel free to use it.

  7. #37
    Quote Originally Posted by ryzhov_al View Post
    pyload and minidlna is in the OpenWRT repo. Feel free to use it.
    No, pyload outdated
    Last edited by !gm; 22-03-2012 at 11:29.
    RT-N66U TomatoUSB 1.28.0000 MIPSR2-135 K26AC USB AIO-64K running Entware-NG
    pyload 0.4.9
    minidlna 1.1.2
    samba 3.6.5
    openvpn 2.3.10
    ̶W̶L̶5̶0̶0̶g̶P̶ ̶1̶.̶9̶.̶2̶.̶7̶-̶r̶t̶n̶-̶r̶4̶7̶5̶0 retired

  8. #38
    Quote Originally Posted by !gm View Post
    No, pyload outdated
    Yes, you are bleeding-edge technologies user with your own minidlna or pyload, so you must be prepared for possible problems like this
    If you made these packages yourself how can i support it?

  9. #39
    its ultraeasy.... just change source where you're patching the openwrt makefiles

    http://wl500g.info/showpost.php?p=244564&postcount=27
    RT-N66U TomatoUSB 1.28.0000 MIPSR2-135 K26AC USB AIO-64K running Entware-NG
    pyload 0.4.9
    minidlna 1.1.2
    samba 3.6.5
    openvpn 2.3.10
    ̶W̶L̶5̶0̶0̶g̶P̶ ̶1̶.̶9̶.̶2̶.̶7̶-̶r̶t̶n̶-̶r̶4̶7̶5̶0 retired

  10. #40
    Quote Originally Posted by !gm View Post
    its ultraeasy.... just change source where you're patching the openwrt makefiles
    Agreed. Will do after toolchain polishing.

  11. #41
    nice!
    that way our repository becomes more fancy than the openwrt one's

    but take your time
    RT-N66U TomatoUSB 1.28.0000 MIPSR2-135 K26AC USB AIO-64K running Entware-NG
    pyload 0.4.9
    minidlna 1.1.2
    samba 3.6.5
    openvpn 2.3.10
    ̶W̶L̶5̶0̶0̶g̶P̶ ̶1̶.̶9̶.̶2̶.̶7̶-̶r̶t̶n̶-̶r̶4̶7̶5̶0 retired

  12. #42
    Quote Originally Posted by !gm View Post
    its ultraeasy....
    Done in r403.
    Update tomorrow.

  13. #43
    You forgot this:

    Quote Originally Posted by !gm View Post
    additionally I also altered packages.index to match version and filename - don't know, if this is really needed...
    as the trunk/feed/packages.index is generated and not tracked via svn, I can't provide you an diff, but my pyload section looks like this:

    Code:
    Package: pyload
    Version: 0.4.9-1
    Depends: +python +pyopenssl +python-curl +python-crypto +python-django +python-expat +pyt$
    Menu-Depends:
    Provides:
    Section: net
    Category: Network
    Title: A fast, lightweight and full featured download manager
    Maintainer: OpenWrt Developers Team <openwrt-devel@openwrt.org>
    Source: pyload-src-v0.4.9.zip
    Type: ipkg
    Description: A fast, lightweight and full featured download manager
    http://pyload.org
    OpenWrt Developers Team <openwrt-devel@openwrt.org>
    @@
    RT-N66U TomatoUSB 1.28.0000 MIPSR2-135 K26AC USB AIO-64K running Entware-NG
    pyload 0.4.9
    minidlna 1.1.2
    samba 3.6.5
    openvpn 2.3.10
    ̶W̶L̶5̶0̶0̶g̶P̶ ̶1̶.̶9̶.̶2̶.̶7̶-̶r̶t̶n̶-̶r̶4̶7̶5̶0 retired

  14. #44
    Quote Originally Posted by !gm View Post
    You forgot this:
    Quote Originally Posted by !gm View Post
    additionally I also altered packages.index to match version and filename - don't know, if this is really needed...
    Not forgot, no needed. Package version will be taken from package Makefile.

  15. #45
    ok - cool

    edit: and now cleaned up my /opt and set up everything again - it's working like a charm
    thank you so much, Alexander
    Last edited by !gm; 22-03-2012 at 18:44.
    RT-N66U TomatoUSB 1.28.0000 MIPSR2-135 K26AC USB AIO-64K running Entware-NG
    pyload 0.4.9
    minidlna 1.1.2
    samba 3.6.5
    openvpn 2.3.10
    ̶W̶L̶5̶0̶0̶g̶P̶ ̶1̶.̶9̶.̶2̶.̶7̶-̶r̶t̶n̶-̶r̶4̶7̶5̶0 retired

Page 3 of 5 FirstFirst 12345 LastLast

Similar Threads

  1. Entware - новый репозиторий для роутеров (MIPS)
    By ryzhov_al in forum Russian Discussion - РУССКИЙ (RU)
    Replies: 1390
    Last Post: 29-04-2017, 22:40
  2. Установка rTorrent + ruTorrent из репозитория Entware
    By ryzhov_al in forum Russian Discussion - РУССКИЙ (RU)
    Replies: 174
    Last Post: 11-02-2016, 15:29
  3. Samba 3.6 EntWare - установка и настройка
    By voidshah in forum Russian Discussion - РУССКИЙ (RU)
    Replies: 50
    Last Post: 02-12-2014, 11:37
  4. Optware oder Entware?
    By newbiefan in forum German Discussion - Deutsch (DE)
    Replies: 9
    Last Post: 20-12-2012, 17:51
  5. Torrentflux mod, controls Transmission - can someone package it?
    By nant15 in forum WL-500g Custom Development
    Replies: 5
    Last Post: 14-11-2006, 20:49

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •